Subject: Re: bug#48019: 28.0.50; Error signaled by documentation function

From: Juri Linkov <[email-masked]>
Date: Tue, 27 Apr 2021 20:07:01 +0300

>> Using help commands to get docstrings from the etc/DOC file
>> raises an error, e.g. on typing 'C-h m':
>>
>>   Debugger entered--Lisp error: (wrong-type-argument listp t)
>>     documentation(auto-composition-mode)
>>     describe-mode()
>>     funcall-interactively(describe-mode)
>>     call-interactively(describe-mode nil nil)
>>     command-execute(describe-mode)
>>
>> This is a recent regression.
>
> I saw similar problems just now (not with `C-h m', but eldoc calling
> `documentation' with parameters that made it bug out).  I did a "make
> bootstrap", and I'm no longer seeing those problems.
>
> If you do the same, does the problem go away for you, too?

No need to make bootstrap.  It should be enough just to restart Emacs.
So the problem is the need to restart Emacs every time after compilation.
Actually, not after every compilation, but I can't determine on what
condition this error depends.  This is a new regression appeared
in the last 2 weeks.  Before some recent change, there was no need
to restart Emacs after compilation.